%define name velocity
%define version 0.1
%define fversion 0.1beta
%define release 0.beta.5mdk

Summary: File and Desktop manager for the GNOME platform
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{fversion}.tar.bz2
Source1: %name-48.png
Source2: %name-32.png
Source3: %name-16.png
Patch0: velocity-0.1beta-directory-typo.patch.bz2
Patch1: velocity-0.1beta-ranlib.patch.bz2
Patch2: velocity-0.1beta-deprecation.patch.bz2
License: GPL
Group: File tools
URL: http://velocity.sourceforge.net
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: librsvg-devel
BuildRequires: libgnome-desktop-2-devel
BuildRequires: libesound-devel
BuildRequires: libxml2-devel
BuildRequires: intltool
BuildRequires: automake1.7

%description
Velocity is a port of the GFileRunner (gfilerunner.sourceforge.net)
file manager to the wonderful GNOME 2 platform.  Velocity is
(going to be) a very fast, powerful, and highly configurable
file/desktop manager.


%prep
%setup -q 
%patch0 -p1
%patch1 -p1
%patch2 -p1
aclocal-1.7
automake-1.7
autoconf

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall 
rm -rf $RPM_BUILD_ROOT%_prefix/doc
mkdir -p %buildroot/%_menudir

cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%_bindir/%name" \
needs="X11" \
icon="%name.png" \
section="Applications/File tools" \
title="Velocity" \
startup_notify="yes"\
longtitle="File manager for GNOME"
EOF

install -m 644 -D %SOURCE1 %buildroot%_liconsdir/%name.png
install -m 644 -D %SOURCE2 %buildroot%_iconsdir/%name.png
install -m 644 -D %SOURCE3 %buildroot%_miconsdir/%name.png
%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO 
%_bindir/%name
%_datadir/applications/velocity.desktop
%_datadir/pixmaps/%name
%_datadir/%name
%_menudir/%name
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png

%changelog
* Wed Apr 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1-0.beta.5mdk
- build with deprecated APIs
- rebuild for new croco

* Mon Sep  8 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.1-0.beta.4mdk
- fix buildrequires

* Tue Aug 26 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.1-0.beta.3mdk
- add startup notify to the menu
- update patch0 to really fix the location of the desktop entry

* Mon Jul 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.1-0.beta.2mdk
- patch1: fix auto*  build problem 
- patch0: fix typo in menu directory name (thanks to distriblint)

* Thu Jul 17 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.1-0.beta.1mdk
- initial package

